#include<iostream>
using namespace std;
int main()
{
	string s;
	int n;
	cin>>n;
	cin>>s;
	int i=0;
	for(i=0;s[i]!=0;i++);
	if(i<=n)cout<<s;
	else{
		for(int t=0;t<n;t++)
			cout<<s[t];
		cout<<"...";
	}
}